Subject: Invalid assembly?

From: Ralph Siemsen <[email-masked]>
Date: Wed, 24 May 2000 13:51:36 -0400

In arch/arm/kernel/entry-armv.S we find several instances of:

	msr     cpsr_c, #I_BIT | MODE_SVC

Binutils 2.9.5.0.3x seems to handle this okay (but the actual code
expands to putting the immediate value into r9), while binutils
2.9.5.0.42 flags it as invalid.  Looking at the ARM architecture
reference manual, the immediate addressing mode seems to be valid only
for cpsr_f and spsr_f, and not the other fields.

Bug?

-- 
Ralph Siemsen -- [email-masked]

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]